CardBus/PCMCIA controller testing overview

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the test topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the HCT tools.

These procedures test your product for proper functionality under the Windows® XP operating system. You must run all of the standard CardBus/PCMCIA controller tests.

If the test device is multifunctional, you must complete the test procedures for each functionally independent, logical device. For example, a CardBus/PCMCIA controller that provides an IEEE 1384 interface must be tested with the IEEE 1394 required tests as well as the CardBus/PCMCIA tests.

Click to show or hide information. Standard manual CardBus/PCMCIA controller tests

The following tests must be run individually, and require user intervention.

  • Public Import
  • Signability

Click to show or hide information. Standard automated CardBus/PCMCIA controller tests

The following tests are fully automated, and can be run in a block. The PCI Latency test must be the last test to run.

  • ACPI Stress - Device I/O (Extended)
  • CardBus Bridge Power Management Register
  • CardBus Bridge Register
  • CardBus Card Common Silicon Guidelines
  • ChkINF
  • Enable/Disable - Device I/O (PCMCIA)
  • PCI 2.2 Compliance
  • PCI Latency
  • S3 Compliance

Click to show or hide information. Bus-specific tests

These additional test categories are required if the test device provides support for the bus.

  • IEEE 1394
  • USB

Test suite run time: TBD

Click to show or hide information. Hardware requirements

The following hardware is required to run the CardBus/PCMCIA Controller HCT kit.

  • One CardBus/PCMCIA host controller
  • One Windows XP Professional Logo compliant CardBus/PCMCIA modem

Important: Contact the modem vendor if ACPI compliance is uncertain.

  • One Intel Pentium, or equivalent, test system with the following:
  • 256 MB of RAM
  • System BIOS (unmodified) that supports S1, S3 and S4 power management states and meets Windows Logo System and Device Requirements 2.0.

Important: To verify that the test system supports these states, contact the system vendor, or install the Systems kit and successfully pass the ACPI Stress Device I/O (extended) and the S3 Compliance tests.

  • CD-ROM drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

These items are not required when the test system is a laptop.

  • Appropriate bus specific cables
  • FoxFire II PCI adapter installed on the client (required when testing PCI devices only)

Important: The test system must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the CardBus/PCMCIA Controller HCT kit.

  • Any drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the CardBus/PCMCIA controller HCT kit, testers must know how to do the following tasks:

  • Physically install the CardBus/PCMCIA test controller.
  • Install the manufacturer-supplied device driver, if necessary.
  • Install the Windows XP Professional operating system from the product CD.
  • Install the HCT 10.0 for Windows XP.

Development resources

Microsoft Driver Development Kit (DDK) for Windows XP

Related links

Preparing for CardBus/PCMCIA controller testing
FoxFire II PCI adapter

Microsoft Windows HCL Web site


Preparing for CardBus/PCMCIA controller testing

Before running CardBus/PCMCIA controller tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the CardBus/PCMCIA controller testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for CardBus/PCMCIA controller testing for the Windows XP operating system.

To configure the test system for CardBus/PCMCIA controller testing

  1. Install the Windows XP Professional operating system from the product CD on the test system.
  2. Install the CardBus/PCMCIA test controller onto the test system.
  3. Install the CardBus/PCMCIA modem into the CardBus test controller.
  4. Install the HCT for Windows XP on the test system.

Related links

CardBus/PCMCIA controller testing overview


IEEE 1394 controller testing overview

These procedures test your product for proper functionality under the Microsoft® Windows® XP Professional operating system. You must run all of the standard IEEE 1394 controller tests.

If your product provides support for more than one bus, run the appropriate bus-specific tests in addition to the standard tests.

If the test device is multifunctional, you must complete the test procedures for each functionally independent, logical device. For example, a keyboard that contains a glide pad must be tested against the keyboard tests and the pointing drawing tests.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the test topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the Hardware Compatibility Test (HCT) tools.

Click to show or hide information. Standard IEEE 1394 controller tests

The following tests are required, and can be run in any order.

  • 1394 Asynchronous and Isochronous Loopback
  • 1394 Configuration ROM
  • 1394 Interoperability
  • ACPI Stress - Device I/O (Extended)
  • ChkINF
  • Enable/Disable - Device I/O (1394)
  • Public Import
  • Surprise Removal
  • Signability

Click to show or hide information. Bus-specific tests

These additional test categories are required if the test device provides support for the bus.

  • CardBus/PCMCIA
  • PCI

Test suite run time: Approximately 1 hour

Click to show or hide information. Hardware requirements

The following hardware is required to run the IEEE 1394 Controller HCT kit.

Additional hardware may be required if the test device provides support for more than one bus. See the test description for each bus-specific test to determine if there are additional hardware requirements.

  • Two identical IEEE 1394 host controllers
  • One Intel Pentium, or equivalent, test system that includes the following:
  • Minimum 300 MHz microprocessor
  • 256 MB of RAM
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • CD-ROM drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One FoxFire II PCI adapter
  • One IEEE 1394 digital camera
  • One IEEE 1394 hard disk drive
  • Two IEEE 1394 cables

Important: The test system must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the IEEE 1394 Controller HCT kit.

  • Any drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the IEEE 1394 Controller HCT kit, testers must know how to do the following tasks:

  • Physically install the IEEE 1394 test controller.
  • Install the manufacturer-supplied device driver, if necessary.
  • Physically install the FoxFire II PCI adapter.
  • Connect the IEEE 1394 hard drive.
  • Connect the IEEE 1394 digital camera.
  • Install the Windows XP Professional operating system from the product CD.
  • Install the Windows XP 10.0.

Click to show or hide information. Development resources

Microsoft Driver Development Kit (DDK) for Windows XP Professional

Related Links

Preparing for IEEE 1394 controller testing
FoxFire II PCI adapter

Microsoft Windows HCL Web site


Preparing for IEEE 1394 controller testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows® XP Professional. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the IEEE 1394 controller testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for IEEE 1394 controller testing for the Windows XP Professional operating system.

To configure the test system for IEEE 1394 controller testing

  1. Install the Windows XP Professional operating system from the product CD on the test system.
  2. Install the IEEE 1394 test controller on the test system.

Important: Two identical IEEE 1394 test controllers are required to run the 1394 Asynchronous and Isochronous Loopback test.

  3. Install the FoxFire II PCI adapter on the test system.
  4. Attach the IEEE 1394 digital camera to the test system using one IEEE 1394 cable.
  5. Attach the IEEE 1394 hard drive to the test system using another IEEE 1394 cable.

Important: The IEEE 1394 digital camera and IEEE 1394 hard drive are required for the 1394 Configuration ROM test and the 1394 Interoperability test.

  6. Install the Windows XP HCT 10.0 on the test system.

Related links

IEEE 1394 controller testing overview


Infrared (IrDA) controller testing overview

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the test topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the HCT tools.

These procedures test your product for proper functionality under the Microsoft® Windows® XP operating system.

If the test device is multifunctional, you must complete the test procedures for each functionally independent, logical device. For example, an Infrared (IrDA) controller that provides a serial device interface must be tested against the IrDA required tests as well as any serial interface tests.

Click to show or hide information. Infrared (IrDA) controller tests

The following tests are required, and can be run in any order.

  • ACPI Stress - Device I/O (Extended)
  • ChkINF
  • Enable/Disable - Device I/O (Network)
  • Driver Verifier - NDIS
  • IrDA Transport
  • NDIS
  • PCI 2.2 Compliance
  • Public Import
  • Signability
  • Surprise Removal

Click to show or hide information. Device-specific tests

  • NDIS

This modem specific NDIS test is required only for cellular phone manufacturers that want to certify modem capabilities with cellular phones.

Test suite run time: TBD

Click to show or hide information. Hardware requirements

The following hardware is required to run the infrared (IrDA) Controller HCT kit.

  • Two identical infrared (IrDA) host controllers
  • Two Intel Pentium, or equivalent, test systems with the following:
  • Minimum 256 MB of RAM
  • System BIOS (unmodified) that supports S1, S3 and S4 power management states and meets Windows Logo System and Device Requirements 2.0

Note: To verify that the test system supports these states, contact the system vendor, or install the Systems kit and successfully pass the ACPI Stress Device I/O (extended) and the S3 Compliance tests.

  • CD-ROM drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

Important: The test systems and all additional hardware must be included on the Microsoft Windows Hardware Compatibility List (HCL).

  • Two Ethernet message cards for back channel communication
  • Two Ethernet cables
  • One Ethernet hub

Click to show or hide information. Software requirements

The following software is required to run the Infrared (IrDA) Controller HCT kit.

  • Any required drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • Vendor provided NDIS 5.0 drivers and other required files for installing the test adapter
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the Infrared (IrDA) Controller HCT kit, testers must know how to do the following tasks:

  • Physically install or connect the infrared (IrDA) test controllers.
  • Install the manufacturer-supplied device driver, if necessary.
  • Establish an Ethernet back channel between client and server systems.
  • Create folders in Windows XP.
  • Install the Windows XP Professional operating system from the product CD.
  • Install Windows XP HCT 10.0.

Development resources

Microsoft Driver Development Kit (DDK) for Windows XP

Related links

Preparing for Infrared (IrDA) controller testing

Microsoft Windows HCL Web site


Preparing for infrared (IrDA) controller testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows® XP Professional. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the Infrared (IrDA) controller testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for infared (IrDA) controller testing for the Windows XP operating system.

To configure the test system for infrared (IrDA) controller testing

  1. Install the Windows XP Professional operating system from the product CD on the test system.
  2. Install the two identical infrared (IrDA) test controllers on the client and server systems.
  3. Install drivers for the test device.
  4. Configure the client and server IR transmitters facing each other at a distance of no more than 1 m (3 ft).
  5. Install the Ethernet message cards in the client and server test systems.
  6. Connect the test Ethernet message cards to a private network (either with a hub, switch, or crossover cable).
  7. Install the HCT for Windows XP on the test system.

Related links

Infrared (IrDA) controller testing overview


IrDA Transport test

This test assesses the interoperability between third party device drivers and the Microsoft IrDA stack.

Whereas the NDIS test verifies the device driver’s proper data delivery methods, the IrDA Transport test verifies that the proper content is being delivered. In addition, this test checks for multi-socket and multi-threading capabilities, which further ensures that certified IrDA devices and related device drivers successfully interoperate and work with the Windows operating system.

Run time: 15 minutes

Log file name: IRDA.log

Operating system: Windows XP Professional

Test assertion: TBD

Related links

Running the IrDA Transport test


NDIS test

The NDIS test, although represented as a single test in Test Manager, contains individual functional tests run through a separate test shell (NDISTEST).

NDIS functional testing verifies that all requests to the network adapter driver, along with all indications and completions called from within the driver, function as specified by NDIS 5.0 and NDIS 5.1.

Functional testing accomplishes the following:

  • Verifies the ability to repeatedly open and close connections to the adapter
  • Queries and sets supported adapter characteristics through Object Identifiers (OIDs)
  • Sets packet filters
  • Runs send/receive tests
  • Executes several variations of the send/receive operation to verify that the device and driver receive all of the packets that they should, and none of the packets that they should not
  • Verifies compliance with the NDIS miniport for NDIS specification
  • Verifies proper version stamps
  • Verifies copyright information
  • Verifies that the driver is free of operating system specific kernel (NTOSKRNL) calls

Note: To qualify the device to be compatible with the Microsoft® Network Monitor, it must pass the Promiscuous-Mode Receive tests.

The configuration for NDIS testing requires two systems, the test system (referred to as the client) and a server system.

The client system is configured with an IrDA test device and an Ethernet message card for back channel communication.

The server system is configured with an IrDA support device and an Ethernet message card for back channel communication.

A typical configuration involves a private test channel through which the client test device and the server support device communicate. Below is a diagram of the configuration for IrDA NDIS testing.

The test setup involves two network segments: the test channel, which is a direct infrared connection between the client test device and the server support device, and the back channel, through which messages are passed between the Ethernet cards in the client and server. In order to reduce the possibility of test failure (other network traffic could affect the transmission of data over the back channel), connect the back channel with either a crossover cable or a private switched subnet.

When the server system starts, it waits for a server request packet from the client system. If the server receives a request packet, it registers itself with the client and waits for commands. The client system sends commands and records responses.

After NDIS testing is complete, the client system directs the server system to quit the test, and then the server system quits the test. All of the script files used for NDIS testing are executed on the client system.

To verify that the driver operates correctly, use any of the operating system-supported devices as the reference device and server device. WHQL recommends using three independent hardware vendor (IHV)-supplied devices.

Run time: 4 hours

Log file name: Whql.log

Operating system: Windows XP Professional

Test assertion: Chapter 23

Related links

Running the NDIS tests


NDIS test

The NDIS test (formerly known as the Modem Compatibility Test [MCT]), although actually a suite of tests that verify modem specific NDIS functionality, is invoked in the same way all other tests are started. For this reason, this test suite is considered one test

The NDIS test examines the attention (AT) command set provided by the test device’s INF file. The test device must provide an AT command set compatible with the V.250 AT command set. Note that this requirement is not required for ISDN and GSM modems. If an AT command for a particular modem function is implemented, the corresponding V.250 AT command must also be supported. In addition to optional AT controlled commands, the following v.250 commands must be available:

  • All basic mode commands from TIA-602 (no + prefix)
  • Identification: +GMI, +GMM, +GMR, +GCI
  • Port control: +IPR, +ICF, +IFC, +ILRR, +ITF (defined in V.80)
  • Modulation: +MS, +MR, +MA
  • Port control: +IPR, +ICF, +IFC, +ILRR, +ITF (defined in V.80)
  • Error control: +ES, +ER, +EB, +ESR, +ETBM
  • Compression: +DS, +DR

Run this test on both the server system and the client system. WHQL requires that you use the reference modems described in Preparing for analog modem testing, Preparing for ISDN modem testing, or Preparing for wireless modem testing.

Run time: Approximately 2 1/4 hours

Log file name: whql.log

Operating system: Windows XP Professional

Test assertion: Chapter 20

Client and server system requirements

Install and start the Windows XP HCT 10.0 on the client and server systems, before running the Modem Compatibility tests.

For client system

Install the test device on the client system.

For server system

  • When testing an analog modem, install the external 3Com Courier I reference modem on the server system (Nissei 128de-USB ISDN modem required for device testing in Japan).
  • When testing an ISDN TA Unimodem, install the external Zyxel Omni.net LCD reference modem on the server system (Nissei 128de-USB ISDN modem required for device testing in Japan).
  • When testing a GSM modem, install the external 3Com Courier I reference modem on the server system (Nissei 128de-USB ISDN modem required for device testing in Japan).
  • When testing a PDC wireless modem, install the PV-BW5605 reference modem on the server system.
  • When testing a PIAFS wireless modem, install the NTT DoCoMo DC-6S reference modem on the server system.

Before running the NDIS Modem Compatibility tests, verify that the reference modem can dial out and is working properly. When using the 3Com Courier I modem, follow these steps to verify that the modem is configured correctly:

Setting up the 3Com Courier I reference modem on the server
  1. Click Start,, click Control Panel, click Printers and Other Hardware, and then click Phone and Modem Options.
  2. Click the Modems tab; and select the 3Com Courier I modem.. Click the Properties tab, click the Advanced tab, and then click Change Default Preferences.
  3. Verify that the Data Protocol is set to Analog (V.34/V.90). If it isn’t, select it now.
  4. Verify all other settings are correct, and then click OK. This returns you to the Advanced screen of the Modem Properties window.
  5. In the Extra Initialization Commands window, type &A3.
  6. Click OK.
  7. Close all open windows
  8. Turn off the power on the external modem, then turn the power on.

Related links

Running the NDIS test


USB controller testing overview

These procedures test your product for proper functionality under the Microsoft® Windows® XP operating system. You must run all of the standard USB controller tests.

If your product provides support for more than one bus, run the appropriate bus-specific tests in addition to the standard tests.

If the product is multifunctional, you must complete the test procedures for each functionally independent, logical device. For example, if your system or device contains more than one USB controller, each controller must be tested.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the test topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the Hardware Compatibility Test (HCT) tools.

Click to show or hide information. Standard USB controller tests

The following tests are required for all USB controllers, and can be run in any order.

  • ACPI Stress - Device I/O (Extended)
  • ChkINF
  • Enable/Disable - Device I/O (USB)
  • Public Import
  • Signability
  • Surprise Removal
  • USB Device Wake Up
  • USB Host Controller Compliance
  • USB Manual Interoperability - Controller

Click to show or hide information. Bus-specific tests

These additional test categories are required if the test device provides support for the bus.

  • IEEE 1394
  • CardBus/PCMCIA
  • PCI

Test suite run time: Approximately 2 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the USB Controllers HCT kit.

You can substitute a different device in place of a recommended device. However, the substituted device must be included on the Windows Hardware Compatibility List (HCL) and be the same class and transfer type as the recommended device.

Additional hardware may be required if the test device provides support for more than one bus. See the test description for each bus-specific test to determine if there are additional hardware requirements.

  • One USB test controller
  • One Intel Pentium, or equivalent, test system with the following:
  • 256 MB of RAM
  • CD-ROM drive
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • One monitor

Important: The test system must be included on the HCL.

  • One FoxFire II PCI adapter
  • Three 4-Port self-powered USB hubs
  • One Hewlett Packard HP Deskjet 895Cse printer or Hewlett Packard HP ScanJet 6300C scanner
  • One Microsoft Natural USB Keyboard Pro or Microsoft Internet Keyboard Pro
  • One Microsoft Dual Strike Sidewinder Joystick
  • One Logitech USB Wheel Mouse or Microsoft USB Wheel Mouse
  • One Philips Vesta series PC camera or Intel PC Camera Pack USB
  • One Altec Lansing USB ADA70 speaker set

Click to show or hide information. Software requirements

The following software is required to run the USB controllers HCT kit.

  • Any drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the HCT for USB controllers, testers must know how to do the following tasks:

  • Physically install the test USB controller, if controller is not embedded on the motherboard.
  • Physically install the FoxFire II PCI adapter.
  • Physically install the USB peripheral devices.
  • Install the Windows XP Professional operating system from the product CD.
  • Install the Windows XP HCT 10.0.

Related links


Preparing for USB controller testing

Before running USB controller tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the USB controller testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for USB controller testing for the Windows XP operating system.

To configure the test system for USB controller testing

  1. Install the Windows XP Professional operating system from the product CD on the test system.
  2. Install the test USB controller on the test system, if controller is not embedded on the motherboard.
  3. Install the FoxFire II PCI adapter on the test system.
  4. Install the Windows XP HCT 10.0 on the test system.
  5. Physically install the USB peripheral devices, joystick, printer, camera, etc., and/or hubs according to the instructions displayed while the tests are running and the instructions in the test procedures.

Related links

USB controller testing overview


USB hub testing overview

These procedures test your product for proper functionality under the Microsoft® Windows® XP operating system. You must run all of the standard USB hub tests.

If your product provides support for more than one bus, run the appropriate bus-specific tests in addition to the standard tests.

If the product is a multifunction device, you must complete the test procedures for each functionally independent, logical device. For example, a USB port replicator with PS/2 and local area network (LAN) ports must complete the USB device, input, and network tests.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the test topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the Hardware Compatibility Test (HCT) tools.

Click to show or hide information. Standard USB hub tests

The following tests are required for all USB hubs and can be performed in any order.

  • ACPI Stress - Device I/O (Extended)
  • ChkINF
  • Enable/Disable - Device I/O (USB)
  • Public Import
  • Signability
  • Surprise Removal
  • USB 1.1 Specification Compliance
  • USB Address Description
  • USB Device Control Requests
  • USB Device Framework
  • USB Device Installation
  • USB Enumeration Stress
  • USB Hub Compliance
  • USB Manual Interoperability - Hub
  • USB Port Reporting
  • USB Selective Suspend
  • USB Self-Powered Hub
  • USB Serial Number

Click to show or hide information. Bus-specific tests

These additional test categories are required if the test device provides support for the bus.

  • IEEE 1394
  • CardBus
  • PCI

Test suite run time: Approximately 2 to 3 hours

Click to show or hide information. Hardware requirements

You can substitute a different device in place of a recommended device. However, the substituted device must be included on the Windows Hardware Compatibility List (HCL) and be the same class and transfer type as the recommended device.

Additional hardware may be required if the test device provides support for more than one bus. See the test description for each bus-specific test to determine if there are additional hardware requirements.

  • One test USB hub
  • One Intel Pentium, or equivalent, test system with the following:
  • 256 MB of RAM
  • CD-ROM drive
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

Important: The test system must be included on the HCL and the USB controller must be able to wake the system using ACPI mechanisms.

  • Three 4-Port self-powered USB hubs
  • One Hewlett Packard HP Deskjet 895Cse printer or Hewlett Packard HP ScanJet 6300C scanner
  • One Microsoft Natural USB Keyboard Pro or Microsoft Internet Keyboard Pro
  • One Microsoft Dual Strike Sidewinder joystick
  • One Logitech USB Wheel Mouse or Microsoft USB Wheel Mouse
  • One Philips Vesta series PC camera or Intel PC Camera Pack USB
  • One Altec Lansing USB ADA70 speaker set

Click to show or hide information. Software requirements

The following software is required to run the USB Hub HCT kit.

  • Any drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the HCT for USB hubs, testers must know how to do the following tasks:

  • Install the test USB hub.
  • Install the manufacturer-supplied device driver, if necessary.
  • Install the USB peripheral devices, joystick, printer, camera, etc., and/or hubs according to the instructions displayed while the tests are running.
  • Install the Windows XP Professional operating system from the product CD.
  • Install the Windows XP HCT 10.0.

Related Links

Preparing for USB hub testing


Preparing for USB hub testing

Before running USB hub tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the USB hub testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for USB hub testing for the Windows XP Professional operating system.

To configure the test system for USB hub testing

  1. Install the Windows XP Professional operating system from the product CD on the test system.
  2. Physically install the test USB hub, if necessary, on the test system.
  3. Install the Windows XP HCT 10.0 on the test system.
  4. Physically install the USB peripheral devices, joystick, printer, camera, etc., and/or hubs according to the instructions displayed while the tests are running and the instructions in the test procedures.

Related links

USB hub testing overview


Running the IrDA Transport test

To run the IrDA Transport test

  1. Start Test Manager on both client and server systems.
  2. At the Test Manager window in the Available Test for Selected Test Category pane, select IrDA Transport, and then click Add Selection.
  3. Click Start Tests on both client and server systems
  4. On the server system select Server in the top left corner and click Start Server.
  5. On the client system select Client and click Start Client.
  6. When the test is completed, view test log files from the client system.
  7. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the NDIS tests

To run the NDIS tests on the server system

  1. Start Test Manager for the appropriate device category. The server system must be configured as a remote test host in the HCT installation.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select NDIS Server, and then click Add Selection.
  3. Click Start Tests. The NDISTEST window opens.
  4. In the right pane of the Tests tab, select the SERVER option. A list of support devices appears in the left pane under SUPPORT DEVICES.
  5. Under SUPPORT DEVICES, select the network adapter installed on the server system that is connected to the client test device.

Note: Excessive network traffic can impact some NDIS tests. For best results, the Ethernet message cards should be on a private sub-net or connected by a crossover cable.

  6. In the left pane, in the MESSAGE box, select the network device that is installed as the back channel adapter. The server system’s message card must be configured to allow communication with the message card on the client system.
  7. Click START. The above procedures put the server system into testing mode, which allows the server system to react to messages from the client system during NDIS testing.

To run the NDIS tests on the client system

  1. Start Test Manager for the appropriate device category.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select NDIS, and then click Add Selection.
  3. Click Start Tests. The NDISTEST window appears.
  4. In the left pane of the Tests tab, next to TEST DEVICES, then click the device you want to test.
  5. Next to MESSAGE, select the network adapter that is installed as the back channel adapter. The client (test) system’s message card must be configured to allow communication with the message card on the server system.
  6. Under SUPPORT DEVICES, select the support device(s) with the name of the server system as a prefix. This is the network device that the test device will communicate with on the server system. This communication must be handled by a cross-over cable or on a private sub-net
  7. In the right pane of the Tests tab, select the CLIENT option, and then select the WHQL TESTS option. The required tests for the test device are automatically displayed and selected in the right pane. Click a test name to see a brief description display in the bottom pane.
  8. Click START.
  9. When the test is completed, click View Log to view the test log file. The test log file is an HTML document. Tests with failures or warnings are hyperlinked for easy review.
  10. Quit the NDIS test application (on the client and server systems) to return the summary log file to Test Manager.


Multi-port Serial Adaptor testing overview

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the test topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the HCT tools.

These procedures test your product for proper functionality under the Windows® XP operating system. You must run all of the standard Multi-port Serial Adaptor tests.

If the test device is multifunctional, you must complete the test procedures for each functionally independent, logical device. For example, a USB Multi-port Serial Adaptor that provides a serial device interface must be tested against the USB required tests as well as any serial interface tests.

Click to show or hide information. Standard multi-port serial adaptor tests

The following manual tests are required, and can be run in any order.

  • Public Import

Click to show or hide information. Bus-specific tests

Additional test categories are required if the test device provides support for the bus.

Test suite run time: TBD

Click to show or hide information. Hardware requirements

The following hardware is required to run the Multi-port Serial Adaptor HCT kit.

  • Two identical Multi-port Serial Adaptors
  • One test system with the following:
  • 300 MHz or higher microprocessor (do we have to specify MHZ?)
  • 256 MB of RAM
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • CD-ROM drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • Appropriate serial device against which to test the multi-port serial adaptor
  • Appropriate device or bus specific cables

Important: All hardware must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software ware is required to run the Multi-port Serial Adaptor HCT kit.

  • Drivers disk, if you plan to release a driver not shipping with the Microsoft Windows product
  • Windows XP operating system
  • The current release of the Windows XP HCT

Click to show or hide information. Tester knowledge requirements

To run the Multi-port Serial Adaptor HCT kit, testers must know how to do the following tasks:

  • Physically install the Multi-port Serial Adaptor.
  • Install the manufacturer-supplied device driver, if necessary.
  • Install the Windows XP operating system from the product CD.
  • Install the HCT for Windows XP.

Development resources

Microsoft Driver Development Kit (DDK) for Windows XP

Related links

Preparing for Multi-port Serial Adaptor testing

Microsoft Windows HCL


Preparing for Multi-port Serial Adaptor testing

The following information describes the test system configuration; test notes and tips for troubleshooting the test system, HCT, and test log files; and related links. Use this information when testing all Multi-port Serial Adaptors for the Windows XP operating system.

Test system configuration

Perform the following system configuration tasks in the order indicated. For a complete list of required hardware, software, and tester knowledge, see the Multi-port Serial Adaptor testing overview.

To configure the test system for Multi-port Serial Adaptor testing

  1. Install the Windows XP operating system from the product CD on the test system.
  2. Install the Multi-port Serial Adaptor on the test system.
  3. Install the HCT for Windows XP on the test system.

Related links

Multi-port Serial Adaptor testing overview


Warning

Windows XP HCT 10.0 - Bus_Controllers

Important

This file is only a component of the Whistler Hardware Compatibility Test (HCT) Help system, and is not intended to be used as a stand-alone file.

Instead, use the HCThelp.chm file for information on the Microsoft Windows Logo Program for Hardware, testing hardware and drivers with the HCT, and installing and running the HCT.